t/t0501-cramp-rainsocket.sh in rainbows-4.3.1 vs t/t0501-cramp-rainsocket.sh in rainbows-4.4.0
- old
+ new
@@ -23,10 +23,10 @@
rainbows -E deployment -D $CONFIG_RU -c $unicorn_config
rainbows_wait_start
}
t_begin "wait for server to say hello to us" && {
- ok=$((curl --no-buffer -sS http://$listen/ || :) | \
+ ok=$( (curl --no-buffer -sS http://$listen/ || :) | \
(tr -d '\0\0377' || :) | \
awk '/Hello from the Server/ { print "ok"; exit 0 }')
test x"$ok" = xok
}